#include "inc/version.h"
#include "include/motionGloveSDK.h"

uint32_t MotionGloveSDK_getVersion()
{
	return (MOTIONGLOVESDK_MAIN_VERSION << 24) |
		(MOTIONGLOVESDK_SUB_VERSION << 16) |
		(MOTIONGLOVESDK_MODIFY_VERSION << 8);
}

std::string getMVenusSDKVerString()
{
	std::string ret;
	ret += std::to_string(MOTIONGLOVESDK_MAIN_VERSION) + "." +
		std::to_string(MOTIONGLOVESDK_SUB_VERSION) + "." +
		std::to_string(MOTIONGLOVESDK_MODIFY_VERSION);
	return ret;
}

std::string getMVenusSDKVerDesString()
{
	std::string ret(MOTIONGLOVESDK_HEADER);
	ret += " ";
	ret += getMVenusSDKVerString();
	return ret;
}

std::string getMVenusSDKReleaseDate()
{
	return "";
}